Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet.mvc
Class AbstractTokenResponseHandler

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.mvc.AbstractTokenResponseHandler

All Implemented Interfaces:
  TokenResponseHandler

Direct Known Subclasses:
  InvalidResponseHandler, ValidResponseHandler

    public abstract class AbstractTokenResponseHandler

extends Object
implements TokenResponseHandler

An abstract class that implements the behavior of wasInvoked in the TokenResponseHandler interface

Since:
  1.1

  Created: Jan 8, 2009
Author:
  Graeme Rocher
See Also:
  `TokenResponseHandler.wasInvoked()`

Field Summary

Fields inherited from interface org.codehaus.groovy.grails.web.servlet.mvc.TokenResponseHandler
`KEY`

Constructor Summary
`AbstractTokenResponseHandler(boolean valid)`

Method Summary
`Object` | `invalidToken(groovy.lang.Closure callable)` The method clients use in order to specify behavior in the even of an invalid token
`protected abstract Object` | `invalidTokenInternal(groovy.lang.Closure callable)`
`boolean` | `wasInvalidToken()` Return whether the token was invalid
`boolean` | `wasInvoked()` Return whether the response handle was invoked

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTokenResponseHandler

    public AbstractTokenResponseHandler(boolean valid)

Method Detail

### invalidToken

    public final Object invalidToken(groovy.lang.Closure callable)

  Description copied from interface: `TokenResponseHandler`
  The method clients use in order to specify behavior in the even of an invalid token

  Specified by:
    `invalidToken` in interface `TokenResponseHandler`
  Parameters:
    `callable` - The closure to invoke in the event of an invalid token
  Returns:
    A Grails model or null

### invalidTokenInternal

    protected abstract Object invalidTokenInternal(groovy.lang.Closure callable)

### wasInvoked

    public boolean wasInvoked()

  Description copied from interface: `TokenResponseHandler`
  Return whether the response handle was invoked

  Specified by:
    `wasInvoked` in interface `TokenResponseHandler`
  Returns:
    True if it was

### wasInvalidToken

    public boolean wasInvalidToken()

  Description copied from interface: `TokenResponseHandler`
  Return whether the token was invalid

  Specified by:
    `wasInvalidToken` in interface `TokenResponseHandler`
  Returns:
    True if it was

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project